Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.Tour
Class DemoVisits

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--context.apps.Tour.DemoVisits

public class DemoVisits
extends java.util.Vector

See Also:
  Serialized Form

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DemoVisits()`

Method Summary
`void` | `addDemoVisit(java.lang.String demo, java.lang.String demourl, java.lang.String demoerurl, java.lang.String time)`
`DemoVisit` | `getDemoVisit(java.lang.String demo)`
`DemoVisit` | `getDemoVisitAt(int i)`
`int` | `numDemoVisits()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DemoVisits

    public DemoVisits()

Method Detail

### addDemoVisit

    public void addDemoVisit(java.lang.String demo,
                             java.lang.String demourl,
                             java.lang.String demoerurl,
                             java.lang.String time)

### getDemoVisitAt

    public DemoVisit getDemoVisitAt(int i)

### getDemoVisit

    public DemoVisit getDemoVisit(java.lang.String demo)

### numDemoVisits

    public int numDemoVisits()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD